settings page should show when non-default settings are selected
Status: Closed   

Priority: Normal   

Assignee: Swapnil Abnave   

Category: Settings   

Target version: 1.17.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1498588 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4961,

https://github.com/theforeman/foreman/p

ull/5063

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1498588

Description of problem:

It is difficult for a user to tell if they've selected non-default settings in Satellite on the Settings page. This can lead to issues if they've

set an option to something other than the default, and then start experiencing issues but are unsure of what change was made.

I am not sure of the best way to represent that a setting was changed, perhaps by showing "(default: X)" on non-default options, or

by making non-defaults bold perhaps.

Associated revisions

Revision a4bf5249 - 12/04/2017 09:00 AM - Swapnil Abnave

Fixes #21238 - Settings - show defaults on hover

Revision 910ee707 - 12/08/2017 04:44 PM - Tomer Brisker

Refs #21238 - Translate setting tooltip

Also display default for array type settings.

History

#1 - 10/30/2017 07:20 AM - Swapnil Abnave

- Subject changed from settings page should show when non-default settings are selected

 to settings page should show when non-default settings are selected

- Assignee set to Swapnil Abnave

- Target version set to 230

#2 - 10/30/2017 07:54 AM - Swapnil Abnave

- File settings-show-defaults-on-hover.png added

One more option: show the defaults on hover?

#3 - 10/30/2017 09:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4961 added

#4 - 12/04/2017 09:47 AM - Marek Hulán

- translation missing: en.field_release set to 296
#5 - 12/04/2017 10:01 AM - Swapnil Abnave

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4bf52491fe5eeceb8606a540e25bc9ceea8a7ba.

#6 - 12/06/2017 03:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5063 added

Files

settings-show-defaults-on-hover.png 163 KB 10/30/2017 Swapnil Abnave
